#!/bin/bash
today=`date '+%Y-%m-%d_%H%M%S'`;
OUTPUT_FILE=am335x-padconf_$today.rd1

# Create new file
echo "PadConf AM335x" > $OUTPUT_FILE

# Append to file
while IFS='' read -r line || [[ -n "$line" ]]; do
    devmem2 $line | sed '1d2ds/.*\s\(0x[0-9a-fA-F]*\)\s.*: \(0x[0-9a-fA-F]*\)*/\1 \2/' >> $OUTPUT_FILE
done << EOM
0x44E10800
0x44E10804
0x44E10808
0x44E1080C
0x44E10810
0x44E10814
0x44E10818
0x44E1081C
0x44E10820
0x44E10824
0x44E10828
0x44E1082C
0x44E10830
0x44E10834
0x44E10838
0x44E1083C
0x44E10840
0x44E10844
0x44E10848
0x44E1084C
0x44E10850
0x44E10854
0x44E10858
0x44E1085C
0x44E10860
0x44E10864
0x44E10868
0x44E1086C
0x44E10870
0x44E10874
0x44E10878
0x44E1087C
0x44E10880
0x44E10884
0x44E10888
0x44E1088C
0x44E10890
0x44E10894
0x44E10898
0x44E1089C
0x44E108A0
0x44E108A4
0x44E108A8
0x44E108AC
0x44E108B0
0x44E108B4
0x44E108B8
0x44E108BC
0x44E108C0
0x44E108C4
0x44E108C8
0x44E108CC
0x44E108D0
0x44E108D4
0x44E108D8
0x44E108DC
0x44E108E0
0x44E108E4
0x44E108E8
0x44E108EC
0x44E108F0
0x44E108F4
0x44E108F8
0x44E108FC
0x44E10900
0x44E10904
0x44E10908
0x44E1090C
0x44E10910
0x44E10914
0x44E10918
0x44E1091C
0x44E10920
0x44E10924
0x44E10928
0x44E1092C
0x44E10930
0x44E10934
0x44E10938
0x44E1093C
0x44E10940
0x44E10944
0x44E10948
0x44E1094C
0x44E10950
0x44E10954
0x44E10958
0x44E1095C
0x44E10960
0x44E10964
0x44E10968
0x44E1096C
0x44E10970
0x44E10974
0x44E10978
0x44E1097C
0x44E10980
0x44E10984
0x44E10988
0x44E1098C
0x44E10990
0x44E10994
0x44E10998
0x44E1099C
0x44E109A0
0x44E109A4
0x44E109A8
0x44E109AC
0x44E109B0
0x44E109B4
0x44E109B8
0x44E109C0
0x44E109D0
0x44E109D4
0x44E109D8
0x44E109DC
0x44E109E0
0x44E109E4
0x44E109E8
0x44E109F8
0x44E109FC
0x44E10A00
0x44E10A1C
0x44E10A34
EOM
